GreatWksSSParser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
GreatWksSSParser Class Reference

the main class to read a GreatWorks spreadsheet file More...

`#include <GreatWksSSParser.hxx>`

Inheritance diagram for GreatWksSSParser:

## Public Member Functions
| GreatWksSSParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~GreatWksSSParser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGSpreadsheetInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | init ()
| inits all internal variables More...
void | createDocument (librevenge::RVNGSpreadsheetInterface *documentInterface)
| creates the listener which will be associated to the document More...
bool | sendSpreadsheet ()
| try to send the main spreadsheet More...
bool | sendHF (int id)
| try to send the i^th header/footer More...
bool | createZones ()
| finds the different objects zones More...
bool | readStyles ()
| try to read the styles More...
bool | readSpreadsheet ()
| read the spreadsheet block ( many unknown data ) More...
bool | readChart ()
| try to read the chart zone: v2 More...
bool | readCell (GreatWksSSParserInternal::Cell &cell)
| try to read a cell More...
Protected Member Functions inherited from MWAWSpreadsheetParser
| MWAWSpreadsheetParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWSpreadsheetParser (MWAWParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setFontConverter (MWAWFontConverterPtr fontConverter)
| sets the font convertor More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
shared_ptr< GreatWksSSParserInternal::State > | m_state
| the state More...
shared_ptr< GreatWksDocument > | m_document
| the document More...

## Friends
class | GreatWksSSParserInternal::SubDocument

## Detailed Description

the main class to read a GreatWorks spreadsheet file

## Constructor & Destructor Documentation

GreatWksSSParser::GreatWksSSParser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

GreatWksSSParser::~GreatWksSSParser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

bool GreatWksSSParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

void GreatWksSSParser::createDocument | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

bool GreatWksSSParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

void GreatWksSSParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by GreatWksSSParser().

void GreatWksSSParser::parse | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Implements MWAWSpreadsheetParser.

bool GreatWksSSParser::readCell | ( | GreatWksSSParserInternal::Cell & | cell | ) |
| protected

try to read a cell

Referenced by readSpreadsheet().

bool GreatWksSSParser::readChart | ( |  | ) |
| protected

try to read the chart zone: v2

Referenced by readSpreadsheet().

bool GreatWksSSParser::readSpreadsheet | ( |  | ) |
| protected

read the spreadsheet block ( many unknown data )

Referenced by createZones().

bool GreatWksSSParser::readStyles | ( |  | ) |
| protected

try to read the styles

Referenced by readSpreadsheet().

bool GreatWksSSParser::sendHF | ( | int | id | ) |
| protected

try to send the i^th header/footer

Referenced by GreatWksSSParserInternal::SubDocument::parse().

bool GreatWksSSParser::sendSpreadsheet | ( |  | ) |
| protected

try to send the main spreadsheet

Referenced by parse().

## Friends And Related Function Documentation

friend class GreatWksSSParserInternal::SubDocument
| friend

## Member Data Documentation

shared_ptr<GreatWksDocument> GreatWksSSParser::m_document
| protected

the document

Referenced by checkHeader(), createDocument(), createZones(), init(), readCell(), readSpreadsheet(), readStyles(), sendHF(), and sendSpreadsheet().

shared_ptr<GreatWksSSParserInternal::State> GreatWksSSParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), init(), readSpreadsheet(), readStyles(), sendHF(), and sendSpreadsheet().

The documentation for this class was generated from the following files:

- GreatWksSSParser.hxx
- GreatWksSSParser.cxx